-- Banco de pruebas del decodificador 4:2
-- fichero: bp_decodificador_2_4.vhd
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity bp_Dcd2x4 is
   constant DELAY : time := 10 ns;  -- Retardo usado en el test
end entity bp_Dcd2x4;


architecture bp_Dcd2x4 of bp_Dcd2x4 is

   signal d3, d2, d1, d0 : std_logic;   
   signal i1, i0, en     : std_logic;
   
   component Dcd2x4 is
      port ( d3, d2, d1, d0 : out  std_logic;
             i1, i0         : in   std_logic;
             en             : in   std_logic );       
   end component Dcd2x4;

begin 

   UUT : component Dcd2x4 port map
            (d3, d2, d1, d0, i1, i0, en);
    
   vec_test : process is
      variable temp  : unsigned (2 downto 0);
   begin
      report "Comienza la simulacin";
      -- Generar todos los posibles valores de entrada
      for i in 0 to 7 loop
         temp := TO_UNSIGNED(i,3);
         en <= std_logic(temp(2));
         i1 <= std_logic(temp(1));
         i0 <= std_logic(temp(0));    
         wait for DELAY;     
      end loop; 
    
      report "Simulacin finalizada";
      wait;   -- Final de la simulacin
   end process vec_test;

end architecture bp_Dcd2x4;