-- Funcin para conversin de std_logic_vector a integer
-- fichero: convInteger.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity conv_int is
   port ( y : out integer range 0 to 15;
          a : in std_logic_vector(3 downto 0) );
end entity conv_int;

architecture conv_int of conv_int is
  
function conv_integer (signal vector : std_logic_vector)
         return integer is
  variable resultado, pot : integer range 0 to 2**vector'length-1;
begin
   pot := 1;
   if ( vector(vector'low)='1') then
      resultado := 1;
   else
      resultado := 0;
   end if;
   for i in (vector'low+1) to (vector'high) loop
      pot := pot*2;
      if (vector(i)='1') then
         resultado := resultado + pot;
      end if;
   end loop;
   return resultado;
end function conv_integer;

begin
   y <= conv_integer(a);
end architecture conv_int;