-- XOR bit a bit de dos seales de 4 bits
-- Fichero: xor_2senales_4bits_bucleFor.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity xor_2seales_4bits is
   port ( y    : out std_logic_vector(3 downto 0);
          a, b : in  std_logic_vector(3 downto 0) );
end entity xor_2seales_4bits;

architecture xor_2seales_4bits_bucleFor of xor_2seales_4bits is
    constant WIDTH : integer := 4;
begin
   process ( a , b )    
   begin    
       -- Este cdigo es slo para ilustrar el uso de la
       -- sentencia for. La misma operacin puede realizarse
       -- mediante una nica sentencia:
       --   y <= a xor b;
       for i in ( WIDTH - 1 ) downto 0 loop
          y(i) <= a(i) xor b(i);
       end loop;
   end process;    
end architecture xor_2seales_4bits_bucleFor;