-- Array puertas AND usando sentencia GENERATE
-- fichero: arrayAND_generate.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity arrayAND is
   port ( y      : out std_logic_vector(7 downto 0);
          i1, i0 : in  std_logic_vector(7 downto 0) ); 
end entity arrayAND;

architecture arrayAND of arrayAND is

  component and2 is 
     port ( y0     : out std_logic;
            x0, x1 : in  std_logic );
  end component and2;

begin    

  gen_array: for I in 7 downto 0 generate
  begin
     and_array: and2 port map
                     (y(I), i1(I), i0(I));
  end generate gen_array;

end architecture arrayAND;    