library IEEE;
use IEEE.std_logic_1164.all;

entity deltas is
   port( d     : out std_logic; 
         a,b,c : in  std_logic);
end deltas;

architecture arquitectura of deltas is
   signal s1, s2, s3 : std_logic;
begin
    
   p1 : process (a, b)
   begin
      s1 <= a and b;
   end process p1;
   
   p2 : process(b, c)
   begin
      s2 <= b or c;
   end process p2;

   p3 : process (s1, s2)
   begin
      s3 <= s1 xor s2;
   end process p3;

   p4 : process (s3)
   begin
      d <= not s3;
   end process p4;
   
end architecture arquitectura;