library IEEE; 
use IEEE.std_logic_1164.all;

entity crono is
end entity crono;

architecture crono of crono is
   signal x1, x3, s, y : std_logic;
   signal x2           : std_logic := '0';
begin
   x1 <= '1', 
         '0' after 10 ns,
         '1' after 20 ns,
         '0' after 30 ns,
         '1' after 40 ns;
   x2 <= '0', 
         '1' after 25 ns;
   x3 <= '0', 
         '1' after 10 ns,
         '0' after 30 ns;

   Proc1: process (x1, x2, x3)
   begin
      s <= x1;
      y <= s or x3;
      s <= x2;
   end process;

end architecture crono;