-- Decodificador 3 a 8 bits
-- fichero: decodificador_3_a_8.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity decodificador_3_a_8 is 
   port ( Y7, Y6, Y5, Y4, Y3, Y2, Y1, Y0 : out std_logic;
          E, A0, A1, A2                  : in  std_logic);
end entity decodificador_3_a_8;

architecture decodificador_3_a_8 of decodificador_3_a_8 is
   signal not_A2, not_A1, not_A0 :  std_logic;
   -- Declaracin de las clases de los componentes
   component not1 is 
      port ( y : out std_logic;
             x : in  std_logic ); 
   end component not1;
   component and4 is 
      port ( y              : out std_logic;
             x0, x1, x2, x3 : in  std_logic ); 
   end component and4;
begin
   -- Instanciacin y conexin de los componentes
   NOT_0 : component not1 port map (not_A0, A0);
   NOT_1 : component not1 port map (not_A1, A1);
   NOT_2 : component not1 port map (not_A2, A2);
   AND_7 : component and4 port map (Y7, E, A2, A1, A0);  
   AND_6 : component and4 port map (Y6, E, A2, A1, not_A0);
   AND_5 : component and4 port map (Y5, E, A2, not_A1, A0);
   AND_4 : component and4 port map (Y4, E, A2, not_A1, not_A0);
   AND_3 : component and4 port map (Y3, E, not_A2, A1, A0);
   AND_2 : component and4 port map (Y2, E, not_A2, A1, not_A0);
   AND_1 : component and4 port map (Y1, E, not_A2, not_A1, A0);
   AND_0 : component and4 port map (Y0, E, not_A2, not_A1, not_A0);  
end architecture decodificador_3_a_8;
