-- Codificador binario a cdigo Gray (bloque process, sentencia case)
-- fichero: binary2GrayCase.vhd
library IEEE;
use IEEE.std_logic_1164.all;

architecture arch_codGrayCase of codGray is
begin

   process(x) is
   begin
      case x is
         when ("000") =>
            y <= "000";
         when ("001") =>
            y <= "001"; 
         when ("010") =>
            y <= "011";
         when ("011") =>
            y <= "010";
         when ("100") =>
            y <= "110";
         when ("101") =>
            y <= "111";
         when ("110") =>
            y <= "101"; 
         when ("111") =>
            y <= "100"; 
         when others =>        
            y <= "000";
      end case;
   end process;  

end architecture arch_codGrayCase;
