-- Conversor binario a Gray (descripcion estructural)
-- fichero: binary2GrayEstructural.vhd
library IEEE;
use IEEE.std_logic_1164.all;
 
architecture arch_codGrayEst of codGray is

   component xor2 is
      port( y0     : out std_logic;
            x0, x1 : in  std_logic  );
   end component xor2;
 
begin
   y(2) <= x(2);

   -- Instanciacin y conexin de los componentes  
   xor2_1 : component xor2 port map 
            ( y0 => y(1), x0 => x(2), x1 => x(1) );
   xor2_2 : component xor2 port map 
            ( y0 => y(0), x0 => x(1), x1 => x(0) );
end architecture arch_codGrayEst;
