-- Banco de pruebas
-- fichero: bp_mux_4x1.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity bp_mux_4x1 is 
end entity bp_mux_4x1;

architecture bp_mux_4x1 of bp_mux_4x1 is
   signal d              : std_logic;  -- Conectar salida UUT
   signal i0, i1, i2, i3, 
          s0, s1         : std_logic;  -- Conectar entradas UUT

   component mux_4x1 is 
      port ( d               : out std_logic;
             i3, i2, i1, i0  : in  std_logic;
             s1, s0          : in  std_logic );
   end component mux_4x1;
begin
   -- Instanciar y conectar UUT
   uut : component mux_4x1 port map
         ( d  => d, 
           i0 => i0, i1 => i1, i2 => i2, i3 => i3, 
           s0 => s0, s1 => s1 );

   gen_vec_test : process
   begin
      i0 <= '0'; i1 <= '0'; i2 <= '1'; i3 <= '0';
      s0 <= '0'; s1 <= '0';
      wait for 5 ns;
      i0 <= '1';
      wait for 5 ns;
      s0 <= '1';
      wait for 10 ns;
      s0 <= '0'; s1 <= '1';
      wait for 10 ns;
      s0 <= '1';
      wait;
   end process gen_vec_test;

end architecture bp_mux_4x1;