-- MUX 4x1
-- fichero: mux_4x1_concurrente.vhd
library IEEE; 
use IEEE.std_logic_1164.all;

entity mux_4x1 is 
   port ( d               : out std_logic;
          i3, i2, i1, i0  : in  std_logic;
          s1, s0          : in  std_logic );
end entity mux_4x1;

architecture mux_4x1_concurrente of mux_4x1 is
   signal sel : integer;
begin
   sel <= 0 when ( s1='0' and s0='0' ) else
          1 when ( s1='0' and s0='1' ) else
          2 when ( s1='1' and s0='0' ) else
          3;
   d   <= i0 when sel = 0 else
          i1 when sel = 1 else
          i2 when sel = 2 else
          i3;
end architecture mux_4x1_concurrente;