-- Restador completo de 1 bit
-- fichero: restadorCompleto1bitComport.vhd
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity rest_completo is 
   port ( res, acarreo_out : out std_logic;
          a, b, acarreo_in : in  std_logic  );
end entity rest_completo;

architecture rest_completo_comport of rest_completo is
   signal result : unsigned ( 1 downto 0 );
begin
   result      <= ('0' & a) - ('0' & b) - ('0' & acarreo_in);
   acarreo_out <= result(1);
   res         <= result(0);
end architecture rest_completo_comport;