-- Restador completo de 1 bit
-- fichero: restadorCompleto1bitEstruc.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity rest_completo is 
   port ( res, acarreo_out : out std_logic;
          a, b, acarreo_in : in  std_logic );
end entity rest_completo;

architecture rest_completo_estruc of rest_completo is

   signal not_a, c, d, e, f : std_logic;

   -- Declaracin de las clases de los componentes
   component xor2 is 
      port ( y0         : out std_logic;
             x0, x1     : in  std_logic ); 
   end component xor2;

   component not1 is 
      port ( y0         : out std_logic;
             x0         : in  std_logic ); 
   end component not1;

   component and2 is 
      port ( y0         : out std_logic;
             x0, x1     : in  std_logic ); 
   end component and2;

   component or3 is 
      port ( y0         : out std_logic;
             x0, x1, x2 : in  std_logic ); 
   end component or3;

begin

   -- Instanciacin y conexin de los componentes
   g0 : component xor2 port map (c, a, b);
   g1 : component xor2 port map (res, c, acarreo_in);
   -- g2 : component not1 port map (not_a, a);
   g2 : component not1 port map (y0 => not_a, x0 => a);
   g3 : component and2 port map (d, not_a, acarreo_in);
   g4 : component and2 port map (e, not_a, b);
   g5 : component and2 port map (f, b, acarreo_in);
   g6 : component or3  port map (acarreo_out, d, e, f);

end architecture rest_completo_estruc;