-- Constantes globales del controlador del microondas
-- fichero: microondas_CONST.vhd
library IEEE;
use IEEE.std_logic_1164.all;

package microondas_CONST is
   constant PERIODO    : time    := 125 ms; -- Reloj
   constant ALARMAT    : integer := 24;  --  3s a frec. reloj 125ms
   constant SESENTASEC : integer := 480; -- 60s a frec. reloj 125ms
   constant UNSEC      : integer := 8;   --  1s a frec. reloj 125ms
   constant TMAX       : integer := 1023; -- Tiempo mximo
   type estadoMicro is
      (puertaAbierta, puertaCerrada, coccion, alarmaActivada);
end package microondas_CONST;