-- Paquete con la definicin de las constantes globales
-- fichero: STATE_CONST.vhd
library IEEE;
use IEEE.std_logic_1164.all;

package STATE_CONST is
   constant STATE_BITS : integer := 3;    -- Bits codifican estado
   constant S0 : std_logic_vector(2 downto 0) := "000"; -- Estados
   constant S1 : std_logic_vector(2 downto 0) := "001";  
   constant S2 : std_logic_vector(2 downto 0) := "010";  
   constant S3 : std_logic_vector(2 downto 0) := "011";  
   constant S4 : std_logic_vector(2 downto 0) := "100";
   constant S5 : std_logic_vector(2 downto 0) := "101";  
   constant S6 : std_logic_vector(2 downto 0) := "110";  
   constant S7 : std_logic_vector(2 downto 0) := "111";  
end package;