-- Banco de pruebas del generador de seal
-- fichero: bp_generadorOnda.vhd
library IEEE;
use IEEE.std_logic_1164.all;
use work.STATE_CONST.all;

entity bp_generador is 
end entity bp_generador;

architecture bp_generador of bp_generador is
   constant PERIODO   : time       := 100 ns; -- Reloj
   signal   wave      : std_logic;            -- Salida UUT
   signal   clk       : std_logic  := '0';    -- Entrada UUT
 
   component generador is
      port ( wave : out std_logic;
             clk  : in std_logic  );
   end component generador;
begin
   -- Instanciar y conectar UUT
   uut : component generador port map
         (wave,  clk);               
   clk <= not clk after (PERIODO/2);                           
end architecture bp_generador;