-- Banco de pruebas del generador de seales
-- fichero: bp_gen.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity bp_gen is 
end entity bp_gen;

architecture bp_gen of bp_gen is
   constant PERIODO          : time      := 100 ns; -- Reloj
   signal   clk              : std_logic := '0';    -- Entradas UUT
   signal   out1, out2, out3 : std_logic;           
 
   component gen is 
      port( out1, out2, out3 : out std_logic;
            clk              : in std_logic   );
  end component gen; 
 
begin
  
   uut : component gen port map  
         (out1, out2, out3, clk);
                  
   clk <= not clk after (PERIODO/2);                           
 
end architecture bp_gen;
