-- Definicin de las constantes
-- fichero: maqExpend_defs.vhd
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

package maqExpend_defs is
   constant TOTAL_BITS  : integer := 5;  -- Bits del registro total
   constant MAX         : integer := 31; -- Num. mx. registro total
   constant ESTADO_BITS : integer := 2;  -- Bits estado de la mquina
   constant DATA_BITS   : integer := 3;  -- Bits de la seal data
   constant DATA_m10        : unsigned(DATA_BITS-1 downto 0) := "001";
   constant DATA_m20        : unsigned(DATA_BITS-1 downto 0) := "010";
   constant DATA_m50        : unsigned(DATA_BITS-1 downto 0) := "101";
   constant DATA_devolucion : unsigned(DATA_BITS-1 downto 0) := "100";
   constant DATA_selec_agua : unsigned(DATA_BITS-1 downto 0) := "011";
   constant DATA_selec_refresco : 
                              unsigned(DATA_BITS-1 downto 0) := "000";   
end package maqExpend_defs;