-- Detector de nmero par de entradas '1'
-- architecture estructura puertas xor-not
-- fichero: estruc_xor_not.vhd
library IEEE;
use IEEE.std_logic_1164.all;

architecture estruc_xor_not of detectorPar is
    
   component xor2 is 
      port  ( y0     : out std_logic;
              x0, x1 : in  std_logic );
   end component xor2;
   
   component not1 is 
      port ( y0  : out std_logic;
             x0  : in  std_logic );
   end component not1;
   
   signal s1, s2 : std_logic;
begin
   unit1 : xor2 port map ( x0 => a(0), x1 => a(1), y0 => s1 );
   unit2 : xor2 port map ( x0 => s1,   x1 => a(2), y0 => s2 );   
   unit3 : not1 port map ( x0 => s2,   y0 => par );
end architecture estruc_xor_not;