-- Banco de pruebas. Fichero: bp_ejer2_1.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity bp_puerta_nor3 is
end entity bp_puerta_nor3;

architecture bp_puerta_nor3 of bp_puerta_nor3 is
  signal f       : std_logic; -- Conectar salida UUT
  signal x, y, z : std_logic; -- Conectar entradas UUT

  component puerta_nor3 is 
     port( f       : out std_logic;
           x, y, z : in  std_logic  );
  end component puerta_nor3;

begin
  -- Instanciar y conectar UUT
  uut : component puerta_nor3 port map
       ( f => f, x => x, y => y, z => z );
  gen_vec_test : process
  begin
     x <= '0'; y <= '0'; z <= '0'; wait for 100 ns;
     x <= '0'; y <= '0'; z <= '1'; wait for 100 ns;
     x <= '0'; y <= '1'; z <= '0'; wait for 100 ns;
     x <= '0'; y <= '1'; z <= '1'; wait for 100 ns;
     x <= '1'; y <= '0'; z <= '0'; wait for 100 ns;
     x <= '1'; y <= '0'; z <= '1'; wait for 100 ns;
     x <= '1'; y <= '1'; z <= '0'; wait for 100 ns;
     x <= '1'; y <= '1'; z <= '1';
     wait;   -- Final de la simulacin
  end process gen_vec_test;
end architecture bp_puerta_nor3;
