-- Banco de pruebas. Fichero: bp_ejer2_5.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity bp_oneShot is
end entity bp_oneShot;

architecture bp_oneShot of bp_oneShot is
   signal y : std_logic;   -- Conectar salida UUT
   signal x : std_logic;   -- Conectar entradas UUT

   component oneShot is 
      port (y : out std_logic;
            x : in  std_logic );
   end component oneShot;

begin
   -- Instanciar y conectar UUT
   uut : component oneShot port map
         ( y => y, x => x);
   
   x <= '0', 
        '1' after  5 ns,
        '0' after 20 ns,
        '1' after 30 ns,
        '0' after 35 ns;   
end architecture bp_oneShot;
