-- Package en el cual se define una funcin
-- fichero: pack1.vhd
library IEEE;
use IEEE.std_logic_1164.all;

package pack1 is
   function conv_integer (signal vector : std_logic_vector)
         return integer;
end package pack1;

package body pack1 is
  
  function conv_integer (signal vector : std_logic_vector)
         return integer is
    variable resultado, pot : integer range 0 to 2**vector'length-1;
  begin
    pot := 1;
    if ( vector(vector'low) = '1' ) then
      resultado := 1;
    else
      resultado := 0;
    end if;
    for i in (vector'low+1) to (vector'high) loop
      pot := pot*2;
      if ( vector(i) = '1' ) then
         resultado := resultado + pot;
      end if;
    end loop;
    return resultado;
  end function conv_integer;

end package body pack1;
