-- Banco de pruebas
library IEEE;
use IEEE.std_logic_1164.all;

entity bp_codigo1 is
end entity bp_codigo1;

architecture bp_codigo1 of bp_codigo1 is

   signal Y1         : std_logic;  -- Conectar salida UUT
   signal X1, X2, X3 : std_logic;  -- Conectar entradas UUT

   component codigo1 is 
      port ( Y1         : out std_logic;
             X1, X2, X3 : in  std_logic );
   end component codigo1;

begin
   -- Instanciar y conectar UUT
   uut : component codigo1 port map
         ( Y1 => Y1, X1 => X1, X2 => X2, X3 => X3 );

   gen_vec_test : process
   begin
      X1 <= '0'; X2 <= '0'; X3 <= '1'; wait for 100 ns;
      X1 <= '0'; X2 <= '1'; X3 <= '1'; wait for 100 ns;
      X1 <= '1'; X2 <= '0'; X3 <= '0'; wait for 100 ns;
      X1 <= '1'; X2 <= '1'; X3 <= '0'; wait for 100 ns;
      X1 <= '0'; X2 <= '1'; X3 <= '0'; wait for 100 ns;
      X1 <= '1'; X2 <= '0'; X3 <= '1'; 
      wait;  
   end process gen_vec_test;

end architecture bp_codigo1;
