library IEEE;
use IEEE.std_logic_1164.all;

entity bp_deltas is
end entity bp_deltas;

architecture bp_deltas of bp_deltas is
   signal d       : std_logic; -- Conectar salida UUT
   signal a, b, c : std_logic; -- Conectar entradas UUT

   component deltas is 
      port (d       : out std_logic;
            a, b, c : in  std_logic );
   end component deltas;

begin
   -- Instanciar y conectar UUT
   uut : component deltas port map
         ( d=>d, a => a, b => b, c => c);

   gen_vec_test : process
   begin
      a <= '1'; b <= '1'; c <= '0';
      wait;  
   end process gen_vec_test;
   
end architecture bp_deltas;