-- Comparador F = X<5:
--   F = x3' x2' + x3' x2 x1' x0'
-- fichero: comparaXmenor5.vhd
library IEEE; 
use IEEE.std_logic_1164.all;

entity comparaXmenor5 is 
   port ( F : out std_logic;
          x : in  std_logic_vector(3 downto 0) );
end entity comparaXmenor5;

architecture comparaXmenor5 of comparaXmenor5 is
begin
   F <= ( not x(3)  and not x(2) ) or
        ( not x(3) and x(2) and not x(1) and not x(0) );
end architecture comparaXmenor5;
