-----------------------------------
-- package de componentes
-- Puertas lgicas
library IEEE;
use IEEE.std_logic_1164.all;

package puertasLogicas_package is

  component xor2 is 
    generic ( DELAY : time := 10 ns );
    port ( y0         : out std_logic;
           x0, x1     : in  std_logic ); 
  end component xor2;
  
  component and2 is 
    generic ( DELAY : time := 10 ns );
    port ( y0         : out std_logic;
           x0, x1     : in  std_logic ); 
  end component and2;
  
  component or3 is 
    generic ( DELAY : time := 10 ns );
    port ( y0         : out std_logic;
           x0, x1, x2 : in  std_logic ); 
  end component or3;
  
end package puertasLogicas_package;