-- Desplazador de 4 bits
-- fichero: desplazador.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity desplazador is
   port( salida  : out std_logic_vector(3 downto 0);
         op      : in  std_logic_vector(1 downto 0);
         entrada : in  std_logic_vector(3 downto 0)  );
end desplazador;

architecture desplazador of desplazador is
begin
  salida <=      entrada(2 downto 0) & '0'        when (op = "00")
            else '0' & entrada(3 downto 1)        when (op = "01")
            else entrada(2 downto 0) & entrada(3) when (op = "10")
            else entrada(0) & entrada(3 downto 1);
end architecture desplazador;