-- Banco de pruebas. Fichero: bp_funcLog_F_G.vhd
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity bp_funcLog_F_G is 
end entity bp_funcLog_F_G;

architecture bp_funcLog_F_G of bp_funcLog_F_G is
   signal y0, y1     : std_logic;  -- Conectar salidas UUT
   signal x0, x1, x2 : std_logic;  -- Conectar entradas UUT
  
   component funcLog_F_G is 
      port ( F, G      : out std_logic;
             a, b, c   : in  std_logic  );
   end component funcLog_F_G;

begin
  -- Instanciar y conectar UUT
   uut : component funcLog_F_G port map
        ( F => y0, G => y1, 
          a => x0, b => x1, c => x2 );

   gen_vec_test : process
      variable test_in : unsigned (2 downto 0); -- Vector de test
   begin
      test_in := B"000";
      for count in 0 to 7 loop
         x2    <= test_in(2);
         x1    <= test_in(1);
         x0    <= test_in(0);
         wait for 10 ns;  
         test_in := test_in + 1;
      end loop;
      wait;
   end process gen_vec_test;
end architecture bp_funcLog_F_G;