-- MUX 4x1. Fichero: mux_4x1_concurrente1.vhd
library IEEE; 
use IEEE.std_logic_1164.all;

entity mux_4x1 is 
   port ( d              : out std_logic;
          i3, i2, i1, i0 : in  std_logic;
          s1, s0         : in  std_logic );
end entity mux_4x1;

architecture mux_4x1_concurrente of mux_4x1 is
begin
   d <= i0 when ( s1='0' and s0='0' ) else
        i1 when ( s1='0' and s0='1' ) else
        i2 when ( s1='1' and s0='0' ) else
        i3;
end architecture mux_4x1_concurrente;