-- MUX 4x1
-- fichero: mux_4x1_process_if.vhd
library IEEE; 
use IEEE.std_logic_1164.all;

entity mux_4x1 is 
   port ( d               : out std_logic;
          i3, i2, i1, i0  : in  std_logic;
          s1, s0          : in  std_logic );
end entity mux_4x1;

architecture mux_4x1 of mux_4x1 is
begin
   process (i3, i2, i1, i0, s1, s0) 
   begin
      if    (s1='0' and s0='0') then
          d <= i0;
      elsif (s1='0' and s0='1') then
          d <= i1;
      elsif (s1='1' and s0='0') then
          d <= i2;
      else
          d <= i3;
      end if;
   end process;
end architecture mux_4x1;