-- Registro desplazamiento de 4 bits, usando seales
-- fichero: regDesp4Bits_signals.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity regDesp is
   port( Serial_out     : out std_logic;
         Serial_in, clk : in std_logic   );
end entity regDesp;

architecture regDesp of regDesp is
   signal R0, R1, R2: std_logic;     
begin
   process (clk)
   begin
      if ( rising_edge(clk) ) then
         R0 <= Serial_in;
         R1 <= R0;      
         R2 <= R1;
         Serial_out <= R2;  
      end if;
   end process;
end architecture regDesp;