-- Registro de 4 bits con reset sncrono
-- fichero: Reg4.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity Reg4 is
   port ( Q        : out std_logic_vector(3 downto 0);
          I        : in  std_logic_vector(3 downto 0);
          clk, rst : in  std_logic  );
end entity Reg4;    
    
architecture Reg4 of Reg4 is    
begin
   process (clk)
   begin
      if rising_edge(clk) then
         if (rst = '1') then
            Q <= "0000";
         else
            Q <= I;
         end if;    
      end if;
   end process;    
end architecture Reg4; 