-------------------------------------------
-- Decodificador 2:4 con entrada enable
library IEEE;
use IEEE.std_logic_1164.all;

entity Dcd2x4 is
   port ( d3, d2, d1, d0 : out  std_logic;
          i1, i0         : in   std_logic;
          en             : in   std_logic  ); 
end entity Dcd2x4;

architecture Dcd2x4 of Dcd2x4 is
begin    
  process (en, i1, i0) is 
  begin
    if    ( en = '0' ) then
        d3 <= '0'; d2 <= '0'; d1 <= '0'; d0 <= '0';
    elsif ( i1 = '0' and i0 = '0' ) then
        d3 <= '0'; d2 <= '0'; d1 <= '0'; d0 <= '1';
    elsif ( i1 = '0' and i0 = '1' ) then
        d3 <= '0'; d2 <= '0'; d1 <= '1'; d0 <= '0';
    elsif ( i1 = '1' and i0 = '0' ) then
        d3 <= '0'; d2 <= '1'; d1 <= '0'; d0 <= '0';
    elsif ( i1 = '1' and i0 = '1' ) then
        d3 <= '1'; d2 <= '0'; d1 <= '0'; d0 <= '0';
    end if;      
  end process;
end architecture Dcd2x4;    
-------------------------------------------