-- Flip flop D con entrada enable, set y clear
-- fichero: FFD_Enable_Set_Clear.vhd
library IEEE;
use IEEE.std_logic_1164.all;
  
entity FFD is 
   port(Q                            : out std_logic;
        Clock, Enable, Set, Clear, D : in std_logic  );
end entity FFD; 
 
architecture FFD of FFD is
begin

   process(Clock, Set, Clear)
   begin
      if Set = '1' then
         Q <= '1';
      elsif Clear = '1' then
         Q <= '0';
      elsif (rising_edge(Clock)) then
         if (Enable ='1') then
            Q <= D;
         end if;
      end if;
   end process;

end architecture FFD; 